Bug 597303 - Add IE support to SearchBar
Summary: Add IE support to SearchBar
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
(Show other bugs)
Version: 3.0.0
Hardware: All Linux
low
medium vote
Target Milestone: ---
: ---
Assignee: Joseph Marques
QA Contact: John Sanda
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: jon24-search
TreeView+ depends on / blocked
 
Reported: 2010-05-28 15:51 UTC by Joseph Marques
Modified: 2010-08-12 16:52 UTC (History)
1 user (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 16:52:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joseph Marques 2010-05-28 15:51:37 UTC
Description of problem:

The original SearchBar was written by injecting <span> elements with floated styles into the innerHTML for <option> elements under the combobox representing the suggestions.  This worked well on FF, had alignment issues on Chrome/Safari, but outright failed to render on IE at all.

How reproducible:

Always.  

Steps to Reproduce:
1. Load the inventory browser for resources or groups
2. Position the cursor in the search bar
  
Actual results:

Nothing happens on IE.

Expected results:

A panel should popup and display search assistance / suggestions to the user as he or she types.

Comment 1 Joseph Marques 2010-05-28 15:55:45 UTC
commit 11e04e1ad95d6c06a24a8b3e8a27fa3ac1732f9e
Author: Joseph Marques <joseph@redhat.com>
Date:   Fri May 28 11:53:12 2010 -0400

BZ-597303: fix auto-completion / suggest code so that it's cross-browser
    
* fork the GWT SuggestBox component, which uses a custom MenuBar approach
* integrate rest of assistance algorithm into this component
* change styles so that SearchBar looks more consistent across browsers

Comment 2 Joseph Marques 2010-07-18 06:13:45 UTC
Whoops, this bug should have been moved to ON_QA back at the end of May.  General SearchBar support for IE is in, but there may be smaller bugs on specific versions of IE - those are already being tracked in separate BZs.

Comment 3 Corey Welton 2010-07-20 14:26:27 UTC
This seems to be OK in IE7 and IE8...

Comment 5 Corey Welton 2010-07-20 16:17:24 UTC
QA Verified.

Comment 6 Corey Welton 2010-08-12 16:52:35 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.